Package org.apache.felix.framework.resolver

# Class ResolveContext

java.lang.Object
org.apache.felix.framework.resolver.ResolveContext

Direct Known Subclasses:
  `ResolveContextImpl`

public abstract class ResolveContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`ResolveContext()`

## Method Summary

Modifier and Type
Method
Description
`abstract List<BundleCapability>`
`findProviders(BundleRequirement br, boolean obeyMandatory)`
`Collection<BundleRevision>`
`getMandatoryRevisions()`
`Collection<BundleRevision>`
`getOptionalRevisions()`
`abstract Map<BundleRevision,BundleWiring>`
`getWirings()`
`abstract int`
`insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)`
`abstract boolean`
`isEffective(BundleRequirement br)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResolveContext

public ResolveContext()

## Method Details

### getMandatoryRevisions

public Collection<BundleRevision> getMandatoryRevisions()

### getOptionalRevisions

public Collection<BundleRevision> getOptionalRevisions()

### findProviders

public abstract List<BundleCapability> findProviders(BundleRequirement br, boolean obeyMandatory)

### insertHostedCapability

public abstract int insertHostedCapability(List<BundleCapability> caps, HostedCapability hc)

### isEffective

public abstract boolean isEffective(BundleRequirement br)

### getWirings

public abstract Map<BundleRevision,BundleWiring> getWirings()